Package org.apache.sling.distribution.journal.messages

## Enum PackageStatusMessage.Status

- java.lang.Object
- - java.lang.Enum<PackageStatusMessage.Status>
  - - org.apache.sling.distribution.journal.messages.PackageStatusMessage.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<PackageStatusMessage.Status>`

Enclosing class:
  PackageStatusMessage

    public static enum PackageStatusMessage.Status
    extends Enum<PackageStatusMessage.Status>

### Enum Constant Summary

Enum Constants
`IMPORTED` The package has been applied
`REMOVED` The package has been removed explicitly
`REMOVED_FAILED` The package has been removed automatically after failing every retry attempts

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PackageStatusMessage.Status` `fromNumber​(int number)`
`int` `getNumber()`
`static PackageStatusMessage.Status` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PackageStatusMessage.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REMOVED_FAILED

    public static final PackageStatusMessage.Status REMOVED_FAILED

The package has been removed automatically after failing every retry attempts

#### REMOVED

    public static final PackageStatusMessage.Status REMOVED

The package has been removed explicitly

#### IMPORTED

    public static final PackageStatusMessage.Status IMPORTED

The package has been applied

### Method Detail

#### values

    public static PackageStatusMessage.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PackageStatusMessage.Status c : PackageStatusMessage.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PackageStatusMessage.Status valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public int getNumber()

#### fromNumber

    public static PackageStatusMessage.Status fromNumber​(int number)